Page MenuHomePhabricator

Add test for WikiPage post-edit stats update
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/409710/ broke the updating of ss_total_pages due to a misnamed array parameter key of total vs pages.

  • Evaluate whether this could/should be a run-time failure (e.g. unknown parameter being set).
  • Add PHPUnit test to verify that this works going forward (e.g. make an edit, trigger updates/jobs, assert)

(Issue was fixed in https://gerrit.wikimedia.org/r/#/c/411400/)

Event Timeline

Krinkle created this task.Feb 16 2018, 10:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2018, 10:03 PM
Krinkle updated the task description. (Show Details)Feb 16 2018, 10:04 PM

Should we have a separate task for running initSiteStats.php in wmf prod? IIUC we've not tracked any pages created since mw1.31-wmf.21.

And as far as I can tell from puppet we have no system in place to update page counts regularly - as opposed to article counts, which are refreshed monthly since T68867. (This is maybe something we should reconsider anyways, I'll reopen T59788 for that.)

Imarlier assigned this task to aaron.Feb 26 2018, 9:30 PM

Change 415212 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Add test for WikiPage post-edit stats update

https://gerrit.wikimedia.org/r/415212

Krinkle closed this task as Resolved.Mar 6 2018, 1:41 AM
Krinkle moved this task from This Quarter (FY1920Q1 Jul-Sep) to Doing on the Performance-Team board.
Krinkle removed a project: Patch-For-Review.

Change 415212 merged by jenkins-bot:
[mediawiki/core@master] Add test for WikiPage post-edit stats update

https://gerrit.wikimedia.org/r/415212